<template>
  <ob-modal
    ref="uploadOrderModal"
    title="Массовое создание заказов"
    size="medium"
    :is-show-controls="false"
    data-qa="uploadOrderModal"
    @closed="onCancel"
  >
    <upload-orders
      data-qa="uploadOrders"
      @save="onUpload"
      @cancel="onCancel"
    />
  </ob-modal>
</template>

<script>
  import api from "@/api";
  import obModal from "common-components/src/obComponents/obModal";
  import uploadOrders from "./modal/uploadOrders";
  export default {
    components: {
      obModal,
      uploadOrders,
    },

    mounted() {
      this.$refs.uploadOrderModal.open();
    },

    methods: {
      onCancel() {
        this.$nextTick(() => {
          this.$refs.uploadOrderModal.close();
          this.$router.push({name: 'order__drafts'});
        })
      },

      onUpload($event) {
        api.orders.uploadOrderFromFile($event[0])
          .then(() => {
            api.orders.confirmUploadOrderFromFile($event[0].uuid)
              .then(() => {
                this.$notification({type: 'snackbars', message: `Файл сохранён`});
                this.$refs.uploadOrderModal.close();
                this.$router.push({name: 'order__drafts'});
              })
              .catch(err => {
                console.error(err);
              })
          })
          .catch(err => {
            console.error(err);
          })
      },
    }
  }
</script>

<style lang="scss" scoped>

</style>
